* {
    margin: 0;
    padding: 0;



}

body {
    height: 100vh;
    width: 100vw;

    background-image: url("tictactoeicon.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: black;
}

.home {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    width: 100vw;
    backdrop-filter: blur(10px);
}

.home img {
    display: flex;
    align-items: center;

    height: auto;
    width: 500px;
    backdrop-filter: blur(10px);

}

.buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;

}

.option {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
    width: 260px;
    background: linear-gradient(to right, red, blue);
    font-size: 25px;

    border-radius: 15px;
    transition: all 0.4s ease-in-out 0s;
    cursor: pointer;


}

.option a {
    text-decoration: none;
    color: rgb(247, 217, 217);
}

.option:hover {
    transform: scale(1.2);
    background: linear-gradient(135deg, #ccfb8f, #6cadf3);
    border: 5px solid rgb(7, 188, 248);

}

/* boardgame  css*/

.board {
    height: 100vh;
    width: 100vw;
    background: black;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: clamp(32px, 12vw, 72px);
    font-weight: bold;

    border-radius: clamp(8px, 3vw, 14px);

    background: radial-gradient(circle at center,
            #1c1c1c 20%,
            #050505 80%);
    box-Shadow: 0 0 30px rgba(244, 105, 105, 0.5);
    border: none;
    cursor: pointer;
    touch-action: manipulation;

    transition: transform 0.25s ease, box-shadow 0.25s ease;
}

.btn:hover {
    box-shadow: 0 0 20px rgb(46, 19, 137);
    border-radius: 15px;
    transform: scale(1.1);
}

.container {

    height: 600px;
    
    aspect-ratio: 1 / 1;

    gap: 2vw;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);

    color: white;
    width: min(90vw, 460px);

}

#player-indicator {
  position: fixed;
  top: 30px;
  left: 30px;

  padding: 16px 32px;
  background: rgba(0, 0, 0, 0.9);
  color: white;

  font-size: 20px;
  font-weight: 700;
  border-radius: 14px;

  z-index: 1000;
}
